Get all impulses
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/impulses \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/impulses"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/impulses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"impulses": [
{
"id": 123,
"name": "<string>",
"inputBlocks": [
{
"id": 2,
"type": "time-series",
"name": "Time series",
"title": "Time series",
"axes": [
"accX"
],
"windowSizeMs": 2004,
"windowIncreaseMs": 123,
"frequencyHz": 60,
"classificationWindowIncreaseMs": 123,
"padZeros": true,
"labelingMethodMultiLabel": {
"type": "end-of-window",
"labels": [
"<string>"
],
"minPercentage": 123
},
"imageWidth": 28,
"imageHeight": 28,
"resizeMode": "squash",
"resizeMethod": "squash",
"cropAnchor": "middle-center",
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z",
"datasetSubset": {
"includePercentage": 123,
"seed": 123
}
}
],
"dspBlocks": [
{
"id": 2,
"type": "spectral-analysis",
"name": "Spectral features",
"axes": [
"accX"
],
"title": "Spectral Analysis",
"implementationVersion": 123,
"valuesPerAxis": 11,
"input": 1,
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z",
"organization": {
"id": 123,
"dspId": 123
},
"customUrl": "<string>",
"namedAxes": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"selectedAxis": "<string>"
}
]
}
],
"learnBlocks": [
{
"id": 2,
"type": "anomaly",
"name": "NN Classifier",
"dsp": [
27
],
"title": "Classification (Keras)",
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z",
"trainingProcessor": "cpu"
}
],
"postProcessingBlocks": [
{
"id": 2,
"type": "object-tracking",
"name": "Object tracking",
"title": "Object tracking",
"implementationVersion": 123,
"createdBy": "createImpulse",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"type": "default"
}
],
"maxImpulseCount": 123,
"error": "<string>"
}Get all impulses
Retrieve all impulse for a project
GET
/
api
/
{projectId}
/
impulses
Get all impulses
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Response
200 - application/json
OK
Whether the operation succeeded
Show child attributes
Show child attributes
The maximum number of impulses that you can create in this project. If unlimited, then this value is set to -1.
Optional error description (set if 'success' was false)
Was this page helpful?